#!/usr/bin/env python
# -*- coding: utf-8 -*- #
""" Configuration file for kujiu's labs """
from __future__ import unicode_literals
import datetime

AUTHOR = 'kujiu'
SITENAME = "Kujiu's Labs"
SITETITLE = "Kujiu's Labs"
SITESUBTITLE = "Fantasy, SF et un soupçon d'accessibilité"
SITEURL = 'https://www.kujiu.org'

PATH = 'content'

TIMEZONE = 'Europe/Brussels'

DEFAULT_LANG = 'fr'
I18N_TEMPLATES_LANG = 'en'
I18N_GETTEXT_LOCALEDIR = 'themes/nervproject/translations'
I18N_GETTEXT_DOMAIN = 'messages'
LOCALE = 'fr_BE.UTF-8'
OG_LOCALE = 'fr_BE.UTF-8'
THEME = 'themes/nervproject'
PYGMENTS_STYLE = 'autumn'

CC_LICENSE = {'name': 'CC-BY-SA', 'version': '4.0', 'slug': 'by-sa'}
MAIN_MENU = True

DISPLAY_CATEGORIES_ON_MENU = True

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = 'atom'
FEED_ALL_RSS = 'rss'
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None

# Blogroll
LINKS = (
)  # (('Pelican', 'http://getpelican.com/'),)
MENUITEMS = (
    ('Me contacter', '/pages/contact.html'),
    ('Mentions légales', '/pages/legal.html'),
)

# Social widget
SOCIAL = (('twitter', 'http://twitter.com/kujiu'),
          ('github', 'http://github.com/kujiu'),
          ('git', 'https://procrastinator.nerv-project.eu/kujiu'),
          ('mastodon', 'https://mastodon.kujiu.org/@kujiu'),
          ('rss', 'https://www.kujiu.org/atom'),)

TWITTER_USERNAME = 'kujiu'

DEFAULT_PAGINATION = 15
PAGE_PATHS = ['pages']

# Uncomment following line if you want document-relative URLs when developing
RELATIVE_URLS = False

PLUGIN_PATHS = ['plugins', 'pelican-plugins']
PLUGINS = ['sitemap', 'related_posts', 'share_post', 'read_more_link', ]
JINJA_EXTENTIONS = ['jinja2.ext.i18n', 'jinja2.ext.with_', ]

READ_MORE_LINK = "<span>Continuer la lecture</span>"

SITEMAP = {
    'format': 'txt',
    'exclude': ['tag/', 'category/']
}

ARTICLE_PATHS = ['blog']
STATIC_PATHS = [
    'blog',
    'static',
    'extra',
]
ARTICLE_SAVE_AS = 'blog/{date:%Y}/{date:%m}/{slug}.html'
ARTICLE_URL = 'blog/{date:%Y}/{date:%m}/{slug}.html'

TYPOGRIFY = True

SITELOGO = '/static/logo.png'
ROBOTS = True
COPYRIGHT_YEAR = datetime.date.today().year
FATHOM_URL = '//casanabo.kujiu.org'
FATHOM_SITE_ID = 'JKNYR'

ISSO_PREFIX = '/isso'
ISSO_URL = SITEURL + ISSO_PREFIX
ISSO_REQUIRE_AUTHOR = "true"
ISSO_LANG = 'fr'

ISSO_REPLY_TO_SELF = "true"
ISSO_REQUIRE_AUTHOR = "true"
ISSO_REQUIRE_EMAIL = "false"
ISSO_REPLY_NOTIF = "true"
ISSO_MAX_COMMENTS_TOP = 20
ISSO_MAX_COMMENTS_NESTED = 20
ISSO_REVEAL_ON_CLICK = 20
ISSO_AVATAR = "true"
ISSO_VOTE = "false"
ISSO_VOTE_LEVELS = ""
ISSO_FEED = "true"


EXTRA_PATH_METADATA = {
    'extra/robots.txt': {'path': 'robots.txt'},
    'extra/google82f190054a773ed9.html': {
        'path': 'google82f190054a773ed9.html'},
}
